package jumapacelaya.gob.mx.predios.entidad;

import io.micronaut.core.annotation.Introspected;
import jakarta.persistence.*;

@Introspected
@Entity
@Table(name = "PREDIOS")
public class Predio {

    @Id
    @Column(name = "PREDIOID")
    private Long predioId;

    @Column(name = "CLIENTEID")
    private Long clienteId;

    @Column(name = "CONTRATO")
    private String contrato;

    @Column(name = "COORDX")
    private Double coordX;

    @Column(name = "COORDY")
    private Double coordY;

    @Column(name = "ZONAFACTID")
    private String zonaFactId;

    @Column(name = "SERIALMED")
    private String serialMed;

    @Column(name = "EDOPREDIOID")
    private String edoPredioId;

    @Column(name = "USOID")
    private String usoId;

    @Column(name = "ACTIVIDADID")
    private Integer actividadId;

    @Column(name = "DIRECID")
    private Long direcId;

    // Getters y setters
    public Long getPredioId() {
        return predioId;
    }

    public void setPredioId(Long predioId) {
        this.predioId = predioId;
    }

    public Long getClienteId() {
        return clienteId;
    }

    public void setClienteId(Long clienteId) {
        this.clienteId = clienteId;
    }

    public String getContrato() {
        return contrato;
    }

    public void setContrato(String contrato) {
        this.contrato = contrato;
    }

    public Double getCoordX() {
        return coordX;
    }

    public void setCoordX(Double coordX) {
        this.coordX = coordX;
    }

    public Double getCoordY() {
        return coordY;
    }

    public void setCoordY(Double coordY) {
        this.coordY = coordY;
    }

    public String getZonaFactId() {
        return zonaFactId;
    }

    public void setZonaFactId(String zonaFactId) {
        this.zonaFactId = zonaFactId;
    }

    public String getSerialMed() {
        return serialMed;
    }

    public void setSerialMed(String serialMed) {
        this.serialMed = serialMed;
    }

    public String getEdoPredioId() {
        return edoPredioId;
    }

    public void setEdoPredioId(String edoPredioId) {
        this.edoPredioId = edoPredioId;
    }

    public String getUsoId() {
        return usoId;
    }

    public void setUsoId(String usoId) {
        this.usoId = usoId;
    }

    public Integer getActividadId() {
        return actividadId;
    }

    public void setActividadId(Integer actividadId) {
        this.actividadId = actividadId;
    }

    public Long getDirecId() {
        return direcId;
    }

    public void setDirecId(Long direcId) {
        this.direcId = direcId;
    }
}
